/*
 * diody.h
 *
 *  Created on: 26 lip 2016
 *      Author: BEAAK
 */

#ifndef DIODY_H_
#define DIODY_H_

//-----------------------------------------------------

// definicje diody dziesitki [ 1x-5x ]
#define LED1x (1<<PB2)
#define LED2x (1<<PB5)
#define LED3x (1<<PB3)
#define LED4x (1<<PC3)
#define LED5x (1<<PC2)

// definicje - diody jednoci x [ 0-9 ]
#define LED0 (1<<PD1)
#define LED1 (1<<PD2)
#define LED2 (1<<PD3)
#define LED3 (1<<PD4)
#define LED4 (1<<PC4)
#define LED5 (1<<PC1)
#define LED6 (1<<PC0)
#define LED7 (1<<PB4)
#define LED8 (1<<PB1)
#define LED9 (1<<PB0)

// definicja diody LEDM -> [minus]
#define LEDM (1<<PD0)

//-----------------------------------------------------

// zaczenie poszczeglnych diod

#define LED1xON PORTB &= ~LED1x
#define LED2xON PORTB &= ~LED2x
#define LED3xON PORTB &= ~LED3x
#define LED4xON PORTC &= ~LED4x
#define LED5xON PORTC &= ~LED5x

#define LED1ON PORTD &= ~LED0
#define LED2ON PORTD &= ~LED1
#define LED3ON PORTD &= ~LED2
#define LED4ON PORTD &= ~LED3
#define LED5ON PORTC &= ~LED4
#define LED6ON PORTC &= ~LED5
#define LED7ON PORTC &= ~LED6
#define LED8ON PORTB &= ~LED7
#define LED9ON PORTB &= ~LED8
#define LED0ON PORTB &= ~LED9

#define LEDMON PORTD &= ~LEDM;

// wyczenie diody LEDM

#define LEDMOFF PORTD |= LEDM;

//-----------------------------------------------------

//deklaracje funkcji

void wygas_all();

void wsw_liczbe(uint8_t cel, uint8_t subzero);

void init_LED();

#endif /* DIODY_H_ */
